﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ProductDetail.aspx.cs" Inherits="ProductDetail" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Product Detail</title>
  <link href="stylesheets/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
  <form id="form1" runat="server">
  
  <div id="content">
    <asp:Repeater ID="rptProduct" runat="server" DataSourceID="odsProduct">
      <ItemTemplate>
        <table style="width: 100%;">
          <tr>
            <td style="width: 220px" valign="top">
              <asp:Image ID="Image1" runat="server" 
                ImageUrl='<%# Eval("ImageLarge") %>' />
              <br />    
              <asp:Button ID="btnAddToCart" runat="server" Text="カートに入れる"
                OnCommand="btnAddToCart_Command"
                CommandName="AddToCart" 
                CommandArgument='<%# Eval("ID") %>' Font-Size="X-Large"  />
                        
            </td>
            <td style="width: auto" valign="top">
              <h3>
                <asp:Literal ID="litTitle" runat="server" Text='<%# Eval("Title") %>'/>
              </h3>
              <p>
                <asp:Label ID="lblDescription" runat="server" Text='<%# Eval("Description") %>'/>
              </p>
              <p>
                <asp:Label ID="lblPriceTag" runat="server" Text="価格:" />              
                <asp:Label ID="lblPrice" runat="server"  Text='<%# String.Format("{0:n0}円", Eval("Price")) %>' />
              </p>
              <p>
                <asp:Button ID="btnAddToCart2" runat="server" Text="カートに入れる"
                  OnCommand="btnAddToCart_Command"
                  CommandName="AddToCart" 
                  CommandArgument='<%# Eval("ID") %>' />
                <input type="button" value="戻る" onclick="history.go(-1);" />
              </p>            
            </td>
          </tr>
        </table>
      </ItemTemplate>
    </asp:Repeater>  
  </div>
    
  <asp:ObjectDataSource ID="odsProduct" runat="server" 
    TypeName="ProductManager"
    SelectMethod="GetProduct">
    <SelectParameters>
      <asp:QueryStringParameter Name="intProductID" QueryStringField="id" Type="Int32" />
    </SelectParameters>
  </asp:ObjectDataSource>  
  
  </form>
</body>
</html>
