﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ShoppingCart : System.Web.UI.Page
{

    private decimal priceTotal = 0;
    private int quantityTotal = 0;

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void odsCart_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
            
        e.InputParameters["ID"] = new Guid(gvCart.DataKeys[gvCart.EditIndex].Value.ToString());
        e.InputParameters["newQuantity"] = Convert.ToInt32(((DropDownList)gvCart.Rows[gvCart.EditIndex].FindControl("dropQuantity")).SelectedValue);
      
    }
    protected void gvCart_RowDataBound(object sender, GridViewRowEventArgs e)
    {           
        switch (e.Row.RowType)
        {
          case DataControlRowType.DataRow:
            priceTotal += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "SubTotal"));
            quantityTotal += Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "Quantity"));
            break;
          case DataControlRowType.Footer:
            e.Row.Cells[1].Text = "合計:";
            e.Row.Cells[2].Text = quantityTotal.ToString();
            e.Row.Cells[4].Text = string.Format("{0:n0}円", priceTotal);
            e.Row.Cells[2].HorizontalAlign = HorizontalAlign.Right;
            e.Row.Cells[4].HorizontalAlign = HorizontalAlign.Right;
            break;
        }      
    }

    protected void btnContinue_Click(object sender, EventArgs e)
    {
      Response.Redirect("ProductList.aspx");
    }
    protected void btnCheckout_Click(object sender, EventArgs e)
    {
      // Response.Redirect("Checkout.aspx");
    }

}
